{% extends "base.html" %}
{% load class_name %}
{% block content %}

<div class='row title-row my-5'>
    <div class='col-12 py-0'>
        <h3 class='my-0 py-0'>{{ count }} results for <b>{{ query }}</b></h3>
    </div>
</div>


{% for object in object_list %}
{% with object|class_name as klass %}
{% if klass == 'POST' %}
<div class='row'>
    <div class='col-12'>
        Blog post: <a href='{{ object.get_absolute_url }}'>{{ object.title }}</a>
    </div>
</div>

{% else %}
<div class='row'>
    <div class='col-12 col-lg-8 offset-lg-4'>
        <a href='{{ object.get_absolute_url }}'>{{ object }} | {{ object|class_name }}</a>
    </div>
</div>
{% endif %}

{% endwith %}

{% empty %}
<div class='row'>
    <div class='col-12 col-md-6 mx-auto my-5 py-5'>
        <form method='GET' class='' action='.'>

            <div class="input-group form-group-no-border mx-auto" style="margin-bottom: 0px; font-size: 32px;">
            <span class="input-group-addon cfe-nav" style='color:#000'>
                <i class="fa fa-search" aria-hidden="true"></i>
            </span>
                <input type="text" name="q" data-toggle="popover" data-placement="bottom"
                       data-content="Press enter to search" class="form-control cfe-nav mt-0 py-3"
                       placeholder="Search..." value="" style="" data-original-title="" title="" autofocus="autofocus">
            </div>

        </form>

    </div>
</div>
{% endfor %}
{% endblock content %}